curl --request POST \
--url https://api.heybee.app/v1/experiments/{experiment_id}/analytics/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sections": [],
"rankings": {
"anchor_value": "<string>",
"axis_key": "<string>",
"limit": 50
}
}
'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/analytics/batch"
payload = {
"sections": [],
"rankings": {
"anchor_value": "<string>",
"axis_key": "<string>",
"limit": 50
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sections: [],
rankings: {anchor_value: '<string>', axis_key: '<string>', limit: 50}
})
};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/analytics/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidate_benchmark": {
"aggregation_policy": "<string>",
"analysis_available": true,
"computed_at": "2023-11-07T05:31:56Z",
"candidates": [
{
"aggregate_rank": 123,
"aggregate_score": 123,
"anchor_win_rate": 123,
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_key": "<string>",
"eligible_anchor_count": 123,
"runner_up_count": 123,
"top_finish_count": 123,
"candidate_label": "<string>"
}
],
"issues": [
{
"candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_key": "<string>",
"code": "<string>",
"message": "<string>",
"anchor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"anchor_value": "<string>"
}
],
"pairwise_matrix": [
{
"anchor_wins_a": 123,
"anchor_wins_b": 123,
"candidate_a_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_a_key": "<string>",
"candidate_b_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate_b_key": "<string>",
"comparable_anchor_count": 123,
"ties": 123,
"candidate_a_label": "<string>",
"candidate_b_label": "<string>"
}
],
"reason": "<string>",
"summary": {
"ambiguous_cell_count": 123,
"confidence_inputs": {
"experiment_confidence": 123,
"runner_up_head_to_head_anchor_win_rate": 123,
"top_margin": 123
},
"decision_status": "<string>",
"eligible_anchor_count": 123,
"total_anchor_count": 123,
"winner_candidate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"winner_candidate_key": "<string>",
"winner_candidate_label": "<string>"
}
},
"confidence": {
"components": {},
"computed_at": "2023-11-07T05:31:56Z",
"overall_confidence": 50,
"total_samples": 123,
"total_votes": 123,
"axes": [
{}
],
"combined": {},
"decision_ci": [
123
],
"is_multi_axis": true,
"parameter_report": [
{}
],
"recommended_config": {},
"report_by_axis": {},
"signal_strength": 123
},
"decision_overview": {
"collection": {
"budget_message": "<string>",
"budget_status": "<string>",
"is_active": true,
"status": "<string>",
"readiness_state": "<string>",
"votes_needed": 123
},
"collection_sufficient": true,
"confidence": 50,
"evidence": {
"label": "<string>",
"output_count": 123,
"prompt_count": 123,
"score": 50,
"vote_count": 123,
"insufficient_data_reason": "<string>"
},
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leader": {
"reason": "<string>",
"status": "<string>",
"label": "<string>",
"sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"next_actions": [
{
"detail": "<string>",
"title": "<string>",
"action_label": "<string>",
"href": "<string>"
}
],
"parameter_insights": [
"<string>"
],
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"rank": 123,
"prompt_win_rate": 123,
"win_rate": 123
}
],
"why": [
"<string>"
]
},
"errors": {},
"insights": [
{
"computed_at": "2023-11-07T05:31:56Z",
"confidence": 123,
"data": {},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"insight_type": "<string>",
"parameters": [
"<string>"
],
"text": "<string>"
}
],
"parameter_analysis": {},
"rankings": {
"rankings": [
{
"anchor_value": "<string>",
"comparisons": 123,
"elo_rank": 123,
"elo_rating": 123,
"losses": 123,
"parameters": {},
"sample_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"win_rate": 123,
"wins": 123,
"bt_ci_lower": 123,
"bt_ci_upper": 123,
"bt_rank": 123,
"bt_strength": 123
}
],
"total": 123,
"anchor_value": "<string>",
"axis_key": "<string>",
"computed_at": "2023-11-07T05:31:56Z",
"ordering_policy": "elo_fallback"
},
"statistics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Experiment Analytics Batch
Return selected analytics slices in one request while preserving per-slice caches.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Response
Successful Response
Benchmark-only candidate-level aggregate analytics.
Show child attributes
Show child attributes
Confidence metrics for an experiment.
overall_confidence is the headline DECISION confidence (how sure we are
the recommended configuration beats a typical one). signal_strength is
the PPC predictability sub-metric (null-safe honesty guard). The per-claim
parameter_report + recommended_config carry the "big picture".
Show child attributes
Show child attributes
Canonical decision-first standard results response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of rankings for an experiment.
Show child attributes
Show child attributes

